PETSc version 3.15.5
Fix/Edit manual page

# DMAddField

Add the discretization object for the given DM field

### Synopsis

    #include "petscdm.h"
    #include "petscdmlabel.h"
    #include "petscds.h"
    PetscErrorCode DMAddField(DM dm, DMLabel label, PetscObject field)

Logically collective on dm

### Input Parameters

| dm | - The DM
| label | - The label indicating the support of the field, or NULL for the entire mesh
| field | - The discretization object

### See Also

DMSetField(), DMGetField()

### Level

intermediate

### Location

src/dm/interface/dm.c

### Examples

src/dm/impls/plex/tutorials/ex8.c.html
src/ts/tutorials/ex11.c.html
src/ts/tutorials/ex52.c.html
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages